<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<head>
	<style>
		.form-group {margin : 5px 1px;}
	</style>
</head>

<th:block th:replace="layout/basic :: setContent(~{this::content} )">

    <th:block th:fragment="content">

        <h1 class="mt-4" style="border-bottom: double 3px gray; padding-bottom: 5px; width: 75%; font-weight:bold; text-align: center">공연 정보 수정</h1>

        <form th:action="@{/show/modify(showNo = ${dto.showNo})}" th:method="post">
        	<div class="form-group">
            	<label style="font-weight:bold;">공연 이름</label><br>
            	<input style="width: 75%" type="text" class="form-control" name="showName" th:value="${dto.showName}" >
        	</div>
        	<div class="form-group">
            	<label style="font-weight:bold;">공연 기간 및 시간 정보</label><br>
            	<input style="display:inline; margin-right:10px; text-align-last: center;" type="date" name="startDate" th:value="${dto.startDate}">
            	<p style="display:inline; margin-right:10px;"> ~ </p>
            	<input style="display:inline; text-align-last: center;" type="date" name="endDate" th:value="${dto.endDate}"><br>
            	<textarea style="margin-top:3px;width: 75%" class="form-control" rows="3" name="timeExplanation">[[${dto.timeExplanation}]]</textarea>
        	</div>
        	<div class="form-group">
            	<label style="font-weight:bold;">출연진</label><br>
            	<input style="width: 75%" type="text" class="form-control" name="artists" th:value="${dto.artists}">
        	</div>        	
        	<div class="form-group">
            	<label style="font-weight:bold;">러닝타임</label><br>
            	<input style="width: 75%" type="text" class="form-control" name="runningTime" th:value="${dto.runningTime}" >
        	</div>
        	<div class="form-group">
        		<label style="font-weight:bold;">장소</label><br>
        		<select name="stageNo" style="vertical-align: middle; text-align-last: center">
        			<option style='color:lightgray;text-align: center'>- 공연장 선택 -</option>
        			<option th:each="stage : ${list}" th:value="${stage.no}" th:text="${stage.showstageName}" th:selected="${stage.showstageName} == ${dto.showstageName}"></option>
        		</select>
        	</div>        	          
        	<div class="form-group">
            	<label style="font-weight:bold;">비고</label><br>
            	<textarea style="width: 75%" class="form-control" rows="5" name="explanation">[[${dto.explanation}]]</textarea>
        	</div>
        	<button type="submit" class="btn btn-primary modifyBtn">완료</button>
		
			<a th:href="@{/show/read(showNo = ${dto.showNo})}">
        		<button type="button" class="btn btn-danger">취소</button>
			</a>
		
        </form>

    </th:block>

</th:block>
